Bug 1051280 - [abrt] file-roller: sanitize_filename(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: sanitize_filename(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3fe9080b118945a4ea94947b935...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 00:42 UTC by Benjamin Ariel Nava Martinez
Modified: 2015-06-29 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:18:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.50 KB, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: core_backtrace (14.26 KB, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: dso_list (9.04 KB, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: environ (1.51 KB, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: exploitable (109 bytes, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: maps (51.52 KB, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: open_fds (857 bytes, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: var_log_messages (331 bytes, text/plain)
2014-01-10 00:42 UTC, Benjamin Ariel Nava Martinez
no flags Details

Description Benjamin Ariel Nava Martinez 2014-01-10 00:42:23 UTC
Description of problem:
The root of the zip file contained a folder named "." which I tried to extract, and then the app crashed.

Version-Release number of selected component:
file-roller-3.10.2.1-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        file-roller /home/ariel/com.github.eclipsecolortheme.themes_1.0.0.201207121019.zip
crash_function: sanitize_filename
executable:     /usr/bin/file-roller
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 sanitize_filename at glib-utils.c:1040
 #1 _g_path_get_relative_basename_safe at glib-utils.c:1065
 #2 _fr_window_ask_overwrite_dialog at fr-window.c:6662
 #3 query_info_ready_for_overwrite_dialog_cb at fr-window.c:6603
 #4 g_task_return_now at gtask.c:1108
 #5 complete_in_idle_cb at gtask.c:1117
 #9 g_main_context_iteration at gmain.c:3774
 #10 g_application_run at gapplication.c:1635

Potential duplicate: bug 1009633

Comment 1 Benjamin Ariel Nava Martinez 2014-01-10 00:42:27 UTC
Created attachment 847952 [details]
File: backtrace

Comment 2 Benjamin Ariel Nava Martinez 2014-01-10 00:42:29 UTC
Created attachment 847953 [details]
File: cgroup

Comment 3 Benjamin Ariel Nava Martinez 2014-01-10 00:42:30 UTC
Created attachment 847954 [details]
File: core_backtrace

Comment 4 Benjamin Ariel Nava Martinez 2014-01-10 00:42:32 UTC
Created attachment 847955 [details]
File: dso_list

Comment 5 Benjamin Ariel Nava Martinez 2014-01-10 00:42:33 UTC
Created attachment 847956 [details]
File: environ

Comment 6 Benjamin Ariel Nava Martinez 2014-01-10 00:42:35 UTC
Created attachment 847957 [details]
File: exploitable

Comment 7 Benjamin Ariel Nava Martinez 2014-01-10 00:42:36 UTC
Created attachment 847958 [details]
File: limits

Comment 8 Benjamin Ariel Nava Martinez 2014-01-10 00:42:39 UTC
Created attachment 847959 [details]
File: maps

Comment 9 Benjamin Ariel Nava Martinez 2014-01-10 00:42:40 UTC
Created attachment 847960 [details]
File: open_fds

Comment 10 Benjamin Ariel Nava Martinez 2014-01-10 00:42:42 UTC
Created attachment 847961 [details]
File: proc_pid_status

Comment 11 Benjamin Ariel Nava Martinez 2014-01-10 00:42:43 UTC
Created attachment 847962 [details]
File: var_log_messages

Comment 12 Johann Amin 2014-05-16 09:31:02 UTC
Another user experienced a similar problem:

1. Pressed Ctrl + A to select all files in the ISO file
2. Dragged file selection to folder to extract

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        file-roller /home/johann/tmp/mso/mso2007.iso
crash_function: sanitize_filename
executable:     /usr/bin/file-roller
kernel:         3.14.3-200.fc20.x86_64
package:        file-roller-3.10.2.1-1.fc20
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 David Timms 2015-04-06 09:33:51 UTC
Another user experienced a similar problem:

try to extract contents of an .iso (fedora installer) cd iso image.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        file-roller /home/infrastructure/software/linux/fedora/22/Fedora-Workstation-netinst-x86_64-22_Beta_TC7.iso
crash_function: sanitize_filename
executable:     /usr/bin/file-roller
kernel:         3.18.9-100.fc20.x86_64
package:        file-roller-3.10.2.1-1.fc20
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2015-05-29 10:25:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 14:18:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.